Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 344181 - net-misc/asterisk - invalid IUSE=logrotate
Summary: net-misc/asterisk - invalid IUSE=logrotate
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: High QA (vote)
Assignee: Tony Vroon
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 198901
  Show dependency tree
 
Reported: 2010-11-04 19:29 UTC by Jeroen Roovers (RETIRED)
Modified: 2010-12-02 13:34 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jeroen Roovers (RETIRED) gentoo-dev 2010-11-04 19:29:50 UTC
=net-misc/asterisk-1.6.2.13
=net-misc/asterisk-1.6.2.13-r1
=net-misc/asterisk-1.6.2.13-r2
=net-misc/asterisk-1.8.0

    # install logrotate snippet; bug #329281
    #
    if use logrotate
    then
        insinto /etc/logrotate.d
        newins "${FILESDIR}/1.6.2/asterisk.logrotate3" asterisk
    fi
Comment 1 Tony Vroon gentoo-dev 2010-12-02 13:34:42 UTC
+*asterisk-1.6.2.14 (02 Dec 2010)
+
+  02 Dec 2010; <chainsaw@gentoo.org> +files/1.6.2/asterisk.initd3,
+  -files/1.6.2/asterisk.logrotate, -files/1.6.2/asterisk.logrotate2,
+  -asterisk-1.6.2.13.ebuild, -asterisk-1.6.2.13-r1.ebuild,
+  +asterisk-1.6.2.14.ebuild:
+  Consolidate patchset in a tarball on the mirrors, closes bug #344015 by
+  Marcin Baczyński. Drop logrotate USE-flag, always install snippet, closes
+  bug #344181 by Jeroen Roovers. Updated init script to fix restart bug by Jaco
+  Kroon, closes bug #345307. Version bump closes bug #346737 by Jesse Adelman,
+  with an honourable mention for Kerin Millar for pointing out some QA matters
+  which are now fixed.

I aim to update 1.8 shortly with more scavenged patches from the upstream tracker. Apologies for introducing a banned USE-flag; I wasn't aware at the time.